opal-prd(8)

NAME
opal-prd - Processor recovery diagnostics daemon for OpenPower hardware

SYNOPSIS
opal-prd [--debug] [--file <hbrt-image>] [--pnor <device>] [daemon]
opal-prd <command> [arguments]

DESCRIPTION
opal-prd is a daemon that listens for hardware diagnostic events (by listening on the /dev/opal-prd device), and executes firmware-provided executable code to handle these events. Only one instance of the daemon can be running at a time.

If no arguments are provided, or the daemon command is used, then the PRD daemon will be started and will listen for incoming hardware events. Generally, this will be run from init as a background service, and not be run as a user or with user interaction.

opal-prd will log to syslog, using the LOG_DAEMON facility. Messages will use the string "opal-prd" for their syslog ident.

For debugging, run the daemon with the --debug and --stdio options. This will log to stdout (instead of syslog), and enable extra debugging information.

A running opal-prd daemon will also listen for control messages from the user; these are sent using the same opal-prd executable, run with the <command> argument:
     opal-prd <command> [arguments]

Note that the daemon must be running in the background here, as a separate process.

Currently, there's one command available, 'occ', for controlling the on-chip-controllers. That has 3 possible sub-commands: reset, enable, and disable.

OPTIONS

--debug
    verbose logging for debug information

--pnor DEVICE
    use PNOR MTD device

--file FILE
    use FILE for hostboot runtime code (instead of code exported by firmware)

--stdio
    log to stdio, instead of syslog

FILES
/dev/opal-prd
/run/opal-prd-control

SEE ALSO
syslog(3)